CGAL 6.2 - dD Triangulations: CGAL::Triangulation_vertex< TriangulationTraits_, Data, TriangulationDSVertex_ > Class Template Reference

CGAL 6.2 - dD Triangulations

Loading...
Searching...
No Matches
List of all members
CGAL::Triangulation_vertex< TriangulationTraits_, Data, TriangulationDSVertex_ > Class Template Reference
Reference Manual » Vertex, Face and Cell Classes

`#include <CGAL/Triangulation_vertex.h>`

## Definition

template<typename TriangulationTraits_, typename Data, typename TriangulationDSVertex_>
class CGAL::Triangulation_vertex< TriangulationTraits_, Data, TriangulationDSVertex_ >

The class `Triangulation_vertex` is a model of the concept `TriangulationVertex`.

It is used by default for representing vertices in the class `Triangulation<TriangulationTraits_, TriangulationDataStructure_>`.

A `Triangulation_vertex` stores a point and an incident full cell.

Template Parameters

  TriangulationTraits_ | must be a model of the concept `TriangulationTraits`. It provides geometric types and predicates for use in the `Triangulation<TriangulationTraits_, TriangulationDataStructure_>` class. It is of interest here for its declaration of the `Point` type.
  Data | is an optional type of data to be stored in the vertex class. The class template `Triangulation_vertex` accepts that no second parameter be specified. In this case, `Data` defaults to `CGAL::No_vertex_data`. `CGAL::No_vertex_data` can be explicitly specified to allow to access the third parameter.
  TriangulationDSVertex_ | must be a model of the concept `TriangulationDSVertex`. The class template `Triangulation_vertex` accepts that no third parameter be specified. It also accepts the tag `CGAL::Default` as third parameter. In both cases, `TriangulationDSVertex_` defaults to `CGAL::Triangulation_ds_vertex<>`.

Is model of
  `TriangulationVertex` Additionally
  `the` class `Triangulation_vertex` provides the following types
  `constructors` and methods:

See also
  `Triangulation_full_cell<TriangulationTraits_, Data, TriangulationDSFullCell_>`
  `Triangulation_data_structure<Dimensionality, TriangulationDSVertex_, TriangulationDSFullCell_>`
  `Triangulation<TriangulationTraits_, TriangulationDataStructure_>`
  `Delaunay_triangulation<DelaunayTriangulationTraits_, TriangulationDataStructure_>`

## Types
typedef TriangulationTraits_::Point_d | Point
| The point type.
typedef Data | Data
| The type of the additional data stored in the vertex.

## Creation
template<typename T >
| Triangulation_vertex (Full_cell_handle c, const Point &p, const T &t)
| Constructs a vertex with incident full cell `c`.
template<typename T >
| Triangulation_vertex (const Point &p, const T &t)
| Same as above, but without incident full cell.
| Triangulation_vertex ()
| Same as above, but with default-constructed `Point` and `Data`.

## Data access
const Data & | data () const
| Returns a const reference to the stored data.
Data & | data ()
| Returns a non-const reference to the stored data.
std::istream & | operator>> (std::istream &is, Triangulation_vertex &v)
| Inputs the non-combinatorial information given by the vertex, i.e., the point and other possible information.
std::ostream & | operator<< (std::ostream &os, const Triangulation_vertex &v)
| Outputs the non-combinatorial information given by the vertex, i.e., the point and other possible information.

## Member Typedef Documentation

## ◆ Data

template<typename TriangulationTraits_ , typename Data , typename TriangulationDSVertex_ >

typedef Data CGAL::Triangulation_vertex< TriangulationTraits_, Data, TriangulationDSVertex_ >::Data

The type of the additional data stored in the vertex.

If you read a `Triangulation_vertex` from a stream (a file) or write a `Triangulation_vertex` to a stream, then streaming operators `<<` and `>>` must be provided for this type.

## Constructor & Destructor Documentation

## ◆ Triangulation_vertex()

template<typename TriangulationTraits_ , typename Data , typename TriangulationDSVertex_ >
template<typename T >

CGAL::Triangulation_vertex< TriangulationTraits_, Data, TriangulationDSVertex_ >::Triangulation_vertex | ( | Full_cell_handle | c,
|  | const Point & | p,
|  | const T & | t
| ) |  |

Constructs a vertex with incident full cell `c`.

The vertex is embedded at point `p` and the parameter `t` is passed to the `Data` constructor.

## Member Function Documentation

## ◆ operator<<()

template<typename TriangulationTraits_ , typename Data , typename TriangulationDSVertex_ >

std::ostream & CGAL::Triangulation_vertex< TriangulationTraits_, Data, TriangulationDSVertex_ >::operator<< | ( | std::ostream & | os,
|  | const Triangulation_vertex< TriangulationTraits_, Data, TriangulationDSVertex_ > & | v
| ) |  |

Outputs the non-combinatorial information given by the vertex, i.e., the point and other possible information.

The data of type `Data` is also written.

## ◆ operator>>()

template<typename TriangulationTraits_ , typename Data , typename TriangulationDSVertex_ >

std::istream & CGAL::Triangulation_vertex< TriangulationTraits_, Data, TriangulationDSVertex_ >::operator>> | ( | std::istream & | is,
|  | Triangulation_vertex< TriangulationTraits_, Data, TriangulationDSVertex_ > & | v
| ) |  |

Inputs the non-combinatorial information given by the vertex, i.e., the point and other possible information.

The data of type `Data` is also read.